et-predict - Added et-predict to the installer. Note: the current application is just a skeleton. There is only a base map with logic yet

This commit is contained in:
thetechprepper
2025-09-04 06:07:41 -07:00
parent 3565e9e3aa
commit 81870f7275
4 changed files with 36 additions and 2 deletions
+26
View File
@@ -0,0 +1,26 @@
#!/bin/bash
# Author : Gaston Gonzalez
# Date : 4 September 2025
# Purpose : Install et-predict-app
set -e
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
trap 'et-log "\"${last_command}\" command failed with exit code $?."' ERR
. ./env.sh
. ../overlay/opt/emcomm-tools/bin/et-common
APP=et-predict-app
VERSION=1.0.0
DOWNLOAD_FILE="${APP}_${VERSION}_amd64.deb"
et-log "Installing ${APP} ${VERSION}..."
if [[ ! -e ${ET_DIST_DIR}/${DOWNLOAD_FILE} ]]; then
URL="https://github.com/thetechprepper/${APP}/releases/download/${VERSION}/${DOWNLOAD_FILE}"
download_with_retries ${URL} ${DOWNLOAD_FILE}
mv ${DOWNLOAD_FILE} ${ET_DIST_DIR}
fi
DEBIAN_FRONTEND=noninteractive dpkg -i "${ET_DIST_DIR}/${DOWNLOAD_FILE}"